%define		srcdir	ImageLounge

Name:		nomacs
Version:	3.16.224
Release:	%mkrel 4
Summary:	A fast and small image viewer
License:	GPLv3
Group:		Graphics
Url:		http://www.nomacs.org
# From https://github.com/nomacs/nomacs/ - only ImageLounge directory repacked
# Memo: tar Jcvf nomacs-%%{version}.tar.xz nomacs-%%{version}/
Source0:	%{name}-%{version}.tar.xz
Patch0:		0001-fixed-build-with-quazip-1.0.patch

BuildRequires:	cmake
BuildRequires:	lcov
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(libraw)
BuildRequires:	pkgconfig(opencv)
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	lib64quazip1-qt5-devel

%description
nomacs is an image viewer based on the Qt5 library. It is free, small, fast and
is able to handle the most common image formats including RAW images.

Additionally, synchronization of viewers running on the same computer or via
LAN is possible, which allows one to compare images and spot the differences.

%prep
%setup -q
%apply_patches


%build
cd ImageLounge
%cmake_qt5 \
	-DUSE_SYSTEM_QUAZIP=ON \
	-DQUAZIP_INCLUDE_DIR=%{_includedir}/quazip5 \
	-DENABLE_TRANSLATIONS=ON \
	-DENABLE_PLUGINS=OFF

%make_build

%install
rm -rf %buildroot
%make_install -C ImageLounge/build

# we don't want unneeded devel files
find %{buildroot} -name '*.so' -delete

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir %buildroot%{_datadir}/applications %buildroot%{_datadir}/applications/*.desktop

%files
%{_bindir}/%{name}
%{_libdir}/lib%{name}*.so*
%{_datadir}/%{name}/
%{_datadir}/applications/org.nomacs.ImageLounge.desktop
%{_datadir}/metainfo/org.nomacs.ImageLounge.appdata.xml
%{_iconsdir}/hicolor/scalable/*/org.nomacs.ImageLounge.svg
%{_mandir}/man1/%{name}.1.*

%post
%update_menus

%postun
%clean_menus


%changelog
* Fri Jun 16 2023 pp - 3.16.224-4pclos2023
- rebuild against updated quazip

* Sun Jul 04 2021 tex - 3.16.224-2pclos2021
* Sat Jul 10 2021 tex - 3.16.224-3pclos2021
- rebuild against updates

* Sun Jul 04 2021 tex - 3.16.224-2pclos2021
- rebuild against updates

* Wed Jul 22 2020 tex - 3.16.224-1pclos2020
- new version

* Sat Mar 28 2020 tex - 3.14.2-1pclos2020
- new version

* Sun Mar 15 2020 tex - 3.14-1pclos2020
- new version

* Sat Mar 23 2019 tex - 3.12-2pclos2019
- rebuild against updates

